## Need TG-2.1.x
##<%inherit file="local:templates.master"/>
<%inherit file="raffle.templates.master"/>

<%
import datetime
from bunch import Bunch

now = datetime.datetime.utcnow()

raffles = {}
for tkt in tickets:
  if tkt.raffle.title not in raffles:
    if tkt.raffle.end_date > now:
      finished = False
    else:
      finished = True
    raffles[tkt.raffle.title] = Bunch({'tickets': 0, 'winners': 0,
        'finished': finished})
  raffles[tkt.raffle.title].tickets += 1
  if tkt.prize:
    raffles[tkt.raffle.title].winners += 1
%>

${parent.sidebar_top()}

<div id="content">
<p>
  You have tickets in the following raffles:
</p>

<table>
<tr><th>
  Raffle Name
</th><th>
  Number of tickets entered
</th><th>
  Winning tickets
</th></tr>
% for raffle in raffles:
  <tr><td>
    ${raffle}
  </td><td>
    ${raffles[raffle].tickets}
  </td><td>
  % if raffles[raffle].finished:
    ${raffles[raffle].winners}
  % else:
    This raffle is not yet over
  % endif
  </td></tr>
% endfor
</table>

</div>
