## Need TG-2.1.x
##<%inherit file="local:templates.master"/>
<%inherit file="raffle.templates.master"/>

<%
import datetime

now = datetime.datetime.utcnow()

%>

${parent.sidebar_top()}

<div id="content">

<table>
<tr><th>
  Raffle Name
</th><th>
  Winners
</th><th>
  Select Winners
</th></tr>
% for raffle in raffles:
  <tr><td>
    ${raffle.title}
  </td><td>
    <ul>
    % for prize in raffle.prizes:
      <li>
      % if prize.winner:
        ${prize.ticket.person} --
      % else:
        No winner yet --
      % endif
      ${prize.prize_info.name}
      </li>
    % endfor
  </ul>
  </td><td>
  % if raffle.end_date < now:
    <%
      all_winners = True
      for prize in raffle.prizes:
        if prize.winner:
          all_winners = False
          break
    %>
    % if all_winners:
    <a href="${tg.url('/admin/select_winners/%s' % raffle.id)}">
      Select Winners
    </a>
  % endif
  % else:
    This raffle is not yet over
  % endif
  </td></tr>
% endfor
</table>

</div>
